package com.pcloud.book.rightsSetting.mapper;

import com.pcloud.book.rightsSetting.entity.RightsSettingTitle;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;


@Component
public interface RightsSettingTitleMapper {
    int insert(RightsSettingTitle record);

    int insertSelective(RightsSettingTitle record);

    void deleteByRightSettingId(Long rightsSettingId);

    void batchInsert(List<RightsSettingTitle> rightsSettingTitles);

    void batchUpdate(List<RightsSettingTitle> rightsSettingTitles);

    List<RightsSettingTitle> getByRightSettingId(Long rightsSettingId);

    RightsSettingTitle getByRightSettingIdAndType(@Param("rightsSettingId") Long rightsSettingId, @Param("type") Integer type);
}